ApiWebhooks

Create webhook subscription

POST
/public/v1/webhook-subscriptions

Creates an active webhook subscription. The secret is returned only once.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
description?string
events?array<>
target_url?string
Formaturi
[key: string]?any

Response Body

Successful response

application/json
  1. response
data?
[key: string]?any
Example Request
curl -X POST 'https://api.agiled.ai/public/v1/webhook-subscriptions' \  -H 'Content-Type: application/json' \  -d '{  "description": "Production CRM webhooks",  "events": [    "contact.created",    "invoice.paid"  ],  "target_url": "https://example.com/agiled/webhooks"}'
Example Response
{  "data": {    "description": "string",    "events": [      "contact.created"    ],    "id": "string",    "last_delivery_at": "string",    "secret": "string",    "status": "string",    "target_url": "http://example.com"  }}